# Get webhook

Return an already created webhook.

Endpoint: GET /v1/projects/{projectId}/webhooks/{webhookId}
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `webhookId` (string, required)
    The unique ID of the webhook.

## Response 200:

  - `200` (unknown)
    Webhook response

## Response 200 fields (application/json):

  - `id` (string, required)
    The ID of the webhook.

  - `target` (string, required)
    The target url where events will be sent to.

  - `projectId` (string, required)
    The project that this webhook belongs to.

  - `triggers` (array, required)
    List of triggers this webhook is triggered by.

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: invalid_id_format

  - `message` (string)
    Human readable message.
    Example: Id is not in the expected format.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: webhookId param is in the wrong format. Confirm that you're sending the correct value.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: webhook_not_found

  - `message` (string)
    Human readable message.
    Example: Webhook not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the parameters are correct.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: internal_error

  - `message` (string)
    Human readable message.
    Example: Internal server error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again, if the error persist please contact support.

## Response 200 examples:

  - `Webhook with specific event triggers` (unknown)
    Example of a response for a webhook with specific triggers.

  - `Webhook for all events` (unknown)
    Example of a response for a webhook for all triggers.

